$playTable-background: $primaryColor;
$playTable-background-subtitle: rgb(30, 54, 84);

$playTable-cell-radius: 10px;
$playTable-cell-background: rgb(22, 45, 76);
$playTable-cell-color: rgb(0, 186, 195);
$playTable-cell-padding: 2.5px;
$playTable-cell-color-border: rgb(63, 71, 90);

$playTable-item-shadow-multiplier: 5;
$playTable-item-shadow: (.5px)*$playTable-item-shadow-multiplier (.86px)*$playTable-item-shadow-multiplier 9px 0px rgba(20, 20, 29, 1);

$playTable-item-background-green: rgb(54, 210, 83);
$playTable-item-background-orange: rgb(254, 169, 17);
$playTable-item-background-red: rgb(210, 54, 54);
$playTable-item-background-owner: rgb(0, 179, 189);

$playTable-grid-padding: 14px - $playTable-cell-padding;

$playTable-collapsed-border: #6a707e;
$playTable-footer-height: 54px;

$playTable-tmp: #252f44;
.playTable {
  &_header {
    font-size: .875rem;
    &-title {
      border-top-left-radius: 12px;
      border-top-right-radius: 12px;
      padding: $paddingMini $paddingDefault;
      background-color: $playTable-tmp;
      /*      background-color: #1b2f48;
            border-top-left-radius: 12px;
            border-top-right-radius: 12px;
            border-bottom: 1px solid #162d4c;*/
    }
    &-subtitle {

      //border-top: 1px solid #223d61;
      background-color: $playTable-background-subtitle;
      padding: $paddingMini $paddingDefault;
    }
  }
  &_body {
    position: relative;
    #grid {
      position: absolute;
      left: 0px;
      right: 0px;
      top: 0px;
      bottom: 0px;
      z-index: 0;
      svg {
        position: absolute;
        &:first-child {
          z-index: 1;
        }
      }
    }
    &-inner {
      padding: $playTable-grid-padding;
      display: flex;
      flex-wrap: wrap;
    }
    &-item {
      transition: all $transitionTime ease-in;
      &.waiting {
        position: relative;
        overflow: hidden;
        &:before {
          content: '';
          position: absolute;
          top: 0px;
          left: 0px;
          width: 100%;
          height: 100%;
          background-color: rgb(0, 186, 195);
          border-radius: 10px;
          transform: translate(0px, 0px);
          animation: loading 2s infinite;
        }
      }
    }
    &:last-child {
      padding-bottom: 0px;
    }
    .cell {
      touch-action: manipulation;
      -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
      background-color: $playTable-background;
      padding: $playTable-cell-padding;
      flex: 1;
      text-transform: uppercase;
      text-align: center;
      display: flex;
      align-items: center;
      justify-content: center;
      min-width: ($containerWidth - $playTable-grid-padding * 2 - $playTable-cell-padding * 2) / 6 - 5;
      min-height: ($containerWidth - $playTable-grid-padding * 2 - $playTable-cell-padding * 2) / 6 - 3;
      $step: 10;
      @for $i from 1 through 10 {
        @media screen and (min-width: $containerWidth+($i*$step)) {
          min-width: ($containerWidth+($i*$step) - $playTable-grid-padding * 2 - $playTable-cell-padding * 2) / 6 - 5;
          min-height: ($containerWidth+($i*$step) - $playTable-grid-padding * 2 - $playTable-cell-padding * 2) / 6 - 3;
        }
      }
    }
  }
  &_footer {
    padding: 0px $paddingDefault $paddingMini $paddingDefault;
    font-size: .875rem;
    transition: min-height $transitionTime ease-in;
    min-height: $playTable-footer-height;
    position: absolute;
    width: 100%;
    z-index: 2;
    background-color: $playTable-tmp;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
    &-inner {
      padding-top: $paddingMini;
      border-top: 1px dashed rgb(55, 68, 96);
    }
    &-total {
      width: 100%;
    }
    &-btn {
      &-img {
        width: 100%;
        height: 100%;
        &-wrapper {
          padding-left: $paddingMedium;
          max-height: 35px;
          max-width: 45px;
        }
      }
    }
    &-wrapper {
      position: relative;
      height: $playTable-footer-height;
    }
    &-bets {
      display: none;
    }
    &-collapsed {
      min-height: 100px;
      border: 1px solid $playTable-collapsed-border;
      border-radius: 8px;
      padding: 0px $paddingDefault - 1 $paddingMini $paddingDefault - 1;
      box-shadow: 1px 7px 15px -5px rgba(1, 1, 1, 0.7);
      background-color: $playTable-background;
      overflow: auto;
      .playTable_footer {
        overflow: hidden;
        &-inner {
          border-top: 0px;
          border-bottom: 1px dashed #374460;
          padding-bottom: 10px;
        }
        &-btn {
          &-img {
            max-height: initial;
            transition: $transitionTime transform ease-in;
            &.rotated {
              transform: rotate(180deg);
            }
          }
        }
        &-bets {
          padding-top: $paddingMini;
          display: flex;
          flex-wrap: wrap;
          justify-content: space-between;
          &-number {
            min-width: 24px;
            min-height: 24px;
            display: flex;
            align-items: center;
            justify-content: center;
            border: 1px solid $playTable-collapsed-border;
            border-radius: 2px;
            font-size: .685rem;
            font-weight: bold;
            text-transform: uppercase;
            background-color: #18202f;
          }
          &-string {
            color: #00bac3;
          }
          &-progress {
            width: 100%;
            padding-left: $paddingMini;
            font-size: .625rem;
          }
          &-item {
            width: calc(50% - 10px);
            margin-bottom: $marginMini/2;
          }
        }
      }
    }
  }
}

@keyframes loading {
  0% {
    transform: translate(-25px, 25px);
    //left: -25px;
    //top: 25px
  }
  25% {
    transform: translate(-25px, -25px);
    //left: -25px;
    //top: -25px;
  }
  50% {
    transform: translate(25px, -25px);
    //left: 25px;
    //top: -25px;
  }
  75% {
    transform: translate(25px, 25px);
    //left: 25px;
    //top: 25px;
  }
  100% {
    transform: translate(-25px, 25px);
    //left: -25px;
    //top: 25px;
  }
}
